Permalink
Commits on Jun 10, 2017
  1. v0.019

    	* Minor tweak for 5.26
    committed Jun 10, 2017
  2. Update for 5.26

    committed Jun 10, 2017
Commits on May 31, 2017
  1. Update travis config

    committed May 31, 2017
Commits on Nov 13, 2016
  1. Expand our (feature) horizions

    ...for 5.22 and 5.24.
    committed Nov 13, 2016
Commits on Oct 13, 2016
  1. Add MX::AutoDestruct to develop phase requires

    ...for tests.
    committed Oct 13, 2016
  2. Merge pull request #9 from kaoru/fix-test-message-typo

    Sync test message and behaviour in feature.t
    committed on GitHub Oct 13, 2016
Commits on Oct 11, 2016
  1. Merge branch 'travis-update'

    * travis-update:
      drop 5.8, as we require at least 5.10
      Additional authordeps
      Correct our develop vs authordeps
      update travis config to use travis-perl helpers
      drop our generated cpanfile
    committed Oct 11, 2016
  2. Additional authordeps

    ...as this is where PW liberates necessary bits of POD from.
    committed Oct 11, 2016
  3. Correct our develop vs authordeps

    ...*le sigh*.  PW sections are authordeps, not develop phase
    requirements.  Same with my DZ plugin bundle.
    committed Oct 11, 2016
Commits on Oct 10, 2016
  1. drop our generated cpanfile

    committed Oct 10, 2016
Commits on Aug 31, 2015
  1. Sync test message and behaviour in feature.t

    Did say "v5.8" but check for less than or equal to 5.10. Now the message
    matches the behaviour.
    kaoru committed Aug 31, 2015
Commits on Apr 21, 2015
  1. Add "optional" traits as develop-requires

    ...such that they'll be installed on travis, and avoid the explodey.
    committed Apr 21, 2015
  2. travis: update config

    Now, use our sexy variant.
    committed Apr 21, 2015
Commits on Apr 19, 2015
  1. travis: try cpanm --with-develop

    ...and see what happens!
    committed Apr 19, 2015
  2. cpanfile: update

    committed Apr 19, 2015
  3. travis: update config

    committed Apr 19, 2015
  4. travis: update config

    committed Apr 19, 2015
Commits on Mar 29, 2015
  1. v0.018

    	* Add MooseX::CascadeClearing as an optional trait
    	* Add Shortcuts trait alias
    	* Use an appropriate feature bundle, vs :5.10 everywhere
    committed Mar 29, 2015
  2. Revert "bump minimum prereq of MX::Traitor to 0.002"

    This reverts commit f859b1c.
    committed Mar 29, 2015
  3. Revert "....and correctly mark the required role version"

    This reverts commit 40319bf.
    committed Mar 29, 2015
  4. use feature bundle as appropriate for the running Perl

    e.g., instead of just blindly using the :5.10 bundle; be a little smarter
    about it.
    
    closes #5
    committed Mar 29, 2015
Commits on Mar 3, 2014
  1. ....and correctly mark the required role version

    ...this time *le sigh*
    committed Mar 3, 2014
  2. v0.017

    	* handle Try::Tiny and Exporter's breakup (gh #6; thanks @amiri and
    	  @ether)!
    committed Mar 3, 2014
  3. tweak our travis config to "cheat"

    I'd prefer to run everything through dzil test for a comprehensive test run,
    but I like when the tests are actually run on travis even more :)
    committed Mar 3, 2014
  4. cpanfile update

    committed Mar 3, 2014
  5. ...and make Pod::Coverage happy.

    I suspect I'll need to revisit the root cause of this, and soon.
    committed Mar 3, 2014
  6. add Try::Tiny imports to those tested for in t/imports.t

    ...just to sanity-check everything.
    committed Mar 3, 2014
  7. Try::Tiny now eschews Exporter

    ...so Make It Work!
    
    I'm using @ether's suggestion of import::into here, as I suspect I should
    probably move most of the others over to it as well.
    
    Closes #6
    committed Mar 3, 2014